Skip to Content

MiniWAS 6.20 AND SneakPreview 6.40 on one System

Hi,

is it possible to install both MiniWAS 6.20 AND SneakPreview 6.40 on one System ?

In the SneakPreview 6.40 help-File is says:

"If you have installed a previous version of SAP Web Application Server, you have to remove it prior to installing this edition."

I just installed miniwas 6.20 and dont want to crash it by installing sneak preview.

Any comments ?

elko

Add comment
10|10000 characters needed characters exceeded

  • Follow
  • Get RSS Feed

3 Answers

  • Posted on Jul 30, 2004 at 02:42 PM

    Hi,

    today I just started the installation of the SneakPreview 6.40.

    The installation process terminated with error, because SAPDB with a lower version (SneakPreview uses Version 7.5) was found on my system (version 7.3 coming with miniWAS 6.20).

    Is there a workaround or do i have to uninstall miniWAS 6.20.

    elko

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      I know that this is outside my experience, but. In productive environments the db is upgraded to new releases, so this must be posible with MaxDB.

      So one option would be to upgrade the WAS6.20 db to the same version as the WAS6.40 db.

      Another option would be to back up the WAS6.20 db, uninstall the DBs and then reinstall WAS6.40 and WAS6.20 then recover the WAS6.20 db.

      Ask further questions in the MaxDB forum.

      MattG.

  • author's profile photo
    Former Member
    Posted on Aug 17, 2004 at 09:58 AM

    Hello,

    I also tried to install both Mini-WAS 6.20 and 6.40 Sneak Preview on a single system. I upgraded sapdb from 7.3 to 7.5 as required but the 6.40 installation failed.

    The only hint may be an incorrect Java SDK version 1.4.2_01 instead of 1.4.2_03.

    Add comment
    10|10000 characters needed characters exceeded

  • author's profile photo
    Former Member
    Posted on Aug 17, 2004 at 05:28 PM

    How did you upgrade from 7.3 to 7.5. I tried using the upgrade (SDPUPD I think) but was unsuccessful.

    Thanks

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      I shut down all database services (as I used a win2000 system), renamed the sapdb root directory and started a new sapdb installation with the installer from the WAS 6.40 Sneak Preview DVD. Finally you have to change the configuration settings (database id etc.).

      Since I am quite new to SAP I cannot estimate if the change succeeded.

      However, there might be an easy way to match your requirement:

      The WAS 6.40 CeBIT distribution is available for download:

      ftp://ftp.sap.com/pub/linuxlab/test_drive/

      It contains both ABAP and J2EE stack on a single system. It is reported that an installation succeeds without any problems on a suse linux entreprise server. Since I am waiting for those WAS CD's I cannot give more advice now. Recent linux distributions are reported to fail. Maybe it depends on the kernel. Do not use 2.6 kernels.